﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Krohn-Hite 6620A: (1 year) CAL VER IEEE /CH5500
DATE:                  2010-06-17 12:34:39
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       131
=============================================================================
#
#  Procedure Author:
#        DFM
#@
#@ Model(s) Covered:
#@       6620A
#@
#@ This procedure contains the following tests whose Test Uncertainty Ratio
#@ are less than 4:1.
#@       AMPLITUDE/FREQUENCY RESPONSE TESTS
#@              - 180°, Ref: 250 mV, Var: 250 mV, 10 kHz; TUR 3.3333
#@              - 180°, Ref: 250 mV, Var: 250 mV, 40 kHz; TUR 3.3333
#@              - 45°,  Ref:   10 V, Var:   10 V, 10 kHz; TUR 3.3333
#@              - 45°,  Ref:   10 V, Var:   10 V, 40 kHz; TUR 3.3333
#@              - 270°, Ref:   20 V, Var:   20 V, 10 kHz; TUR 3.3333
#@              - 270°, Ref:   20 V, Var:   20 V, 40 kHz; TUR 3.3333
#@              - 315°, Ref:   75 V, Var:   75 V, 10 kHz; TUR 3.3333
#@              - 315°, Ref:   75 V, Var:   75 V, 40 kHz; TUR 3.3333
#@
#@ Source(s):
#@       USAF T.O. 33K8-4-922-1, Technical Manual, Calibration Procedure
#@       For Phasemeter, 6610, 6620, dated 30 December 2001
#@
#@       Krohn-Hite Model 6620A (6620) Precision Phasemeter, 10 Hz to 10 MHz,
#@         Operating Manual
#@
#@ Compatibility:
#@       MET/CAL V7.3.12 or later
#@
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub Krohn-Hite 66x0() IEEE-488 Setup IEEE
#        Sub UUT Connection GPIB
#        Sub Krohn-Hite 66x0() Manual Calibration IEEE
#        Sub Krohn-Hite 66x0() Check Input Status IEEE
#        Sub Krohn-Hite 66x0() Check Cal Status IEEE
#        Sub Krohn-Hite 6610/6620/6620A (1 yr) VER IEEE /CH5500
#
#  Required Files:
#        k-h_66x0_gpib_setup.jpg
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC (m)-(m), 2 ea., matched length and impedance,
#@         Tektronix 012-0482-00 or equivalent
#@
#  The Procedure was tested using:
#
#        Model No.    : Krohn-Hite 6620
#        Serial No.   : 462A
#        Options      : NA
#        Firmware Rev.: NA
#
#@ The average run time during testing was 9 minutes.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J                                   V
# Note, ASK+ K is necessary for measurement uncertainty.
  1.002  ASK+           K

  1.003  IF           NOT(VERSIONCHECK("7.3.12"))
  1.004  END
  1.005  ENDIF

  1.006  CALL         Sub Display Copyright

  1.007  HEAD         PRELIMINARY INSTRUCTIONS
  1.008  DISP         Ensure a minimum UUT warm-up time of at least
  1.008  DISP         30 minutes, in an environment of 18°C to 28°C
  1.008  DISP         and relative humidity of less than 80%, has
  1.008  DISP         been allowed to elapse, prior to proceeding.
  1.008  DISP
  1.008  DISP         Ensure specified warm-up time(s) for required
  1.008  DISP         reference devices has been satisfied.

  1.009  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Verification Method

  1.012  HEAD         EQUIPMENT REQUIRED
  1.013  OPBR         -z Do you want to REVIEW the list of additional
  1.013  OPBR         equipment and/or accessories required?

  1.014  IF           MEM1
  1.015  DISP         Additional equipment/accessories required:
  1.015  DISP
  1.015  DISP         - Cable, coaxial, BNC (m)-(m), 2 ea., matched length and
  1.015  DISP         [32] impedance, Tektronix 012-0482-00 or equivalent
  1.016  ENDIF

  1.017  CALL         Sub Krohn-Hite 66x0() IEEE-488 Setup IEEE
  1.018  CALL         Sub UUT Connection GPIB

  1.019  CALL         Sub Krohn-Hite 66x0() Manual Calibration IEEE
  1.020  CALL         Sub Krohn-Hite 6610/6620/6620A (1 yr) VER IEEE /CH5500

  1.021  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.022  IEEE         [SDC][GTL]
  1.023  DISP         Reset UUT IEEE-488 Line Termination parameter (as
  1.023  DISP         required) to the setting noted at procedure outset.

  1.024  END
