﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Krohn-Hite 66x0() IEEE-488 Setup IEEE
INSTRUMENT:            Sub Krohn-Hite 66x0() Manual Calibration IEEE
INSTRUMENT:            Sub Krohn-Hite 66x0() Check Input Status IEEE
INSTRUMENT:            Sub Krohn-Hite 66x0() Check Cal Status IEEE
DATE:                  2009-03-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       217
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        Krohn-Hite 6610, 6620, 6620A
#
# Compatibility:
#        MET/CAL 7.20x or later
#
# Subprocedures:
#        None
#
# Required Files:
#        k-h_66x0_gpib_setup.jpg
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         GPIB_SETUP                   PSUBI("IEEE-488")
  1.002  JMPL         MANUAL_CALIBRATION           PSUBI("Calibration")
  1.003  JMPL         CHECK_STATUS                 PSUBI("Check Input")
  1.004  JMPL         CHECK_CAL_STATUS             PSUBI("Check Cal")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

# ====== Sub Krohn-Hite 66x0() IEEE-488 Setup IEEE =========================

  1.007  LABEL        GPIB_SETUP

  1.008  HEAD         UUT GPIB SETUP
  1.009  DISP         To ensure procedure functionality, the UUT IEEE-488
  1.009  DISP         Menu No. 2 (line termination) must be set/verified
  1.009  DISP         for procedure compatibility, prior to proceeding.
  1.009  DISP
  1.009  DISP         - Press the UUT LOCAL pushbutton TWICE to select the
  1.009  DISP         [32] UUT IEEE-488 Menu No. 2 (Line Termination).
  1.010  PIC          k-h_66x0_gpib_setup.jpg
  1.011  DISP         - Press the UUT LOCAL pushbutton ONCE again to exit
  1.011  DISP         [32] the menu.

  1.012  END

  1.013  EVAL   Increment Test Number

# ====== Sub Krohn-Hite 66x0() Manual Calibration IEEE =====================

  2.001  LABEL        MANUAL_CALIBRATION

  2.002  HEAD         MANUAL CALIBRATION
  2.003  HEAD         -2 Manual Calibration: 0° Adjustment
  2.004  IEEE         [T3000]C1[10]
  2.005  MATH         @CalStatus = 1
  2.006  CALL         Sub Krohn-Hite 66x0() Check Cal Status IEEE
  2.007  IEEE         [D2000]
  2.008  DISP         Adjust the UUT "0" potentiometer until the UUT display
  2.008  DISP         indicates 0.00°.

  2.009  HEAD         -2 Manual Calibration: 180° Adjustment
  2.010  IEEE         [T3000]C2[10]
  2.011  MATH         @CalStatus = 2
  2.012  CALL         Sub Krohn-Hite 66x0() Check Cal Status IEEE
  2.013  IEEE         [D2000]
  2.014  DISP         Adjust the UUT "180" potentiometer until the UUT display
  2.014  DISP         indicates 180.00° (ignoring polarity).

  2.015  HEAD         -2 Manual Calibration: 360° Adjustment
  2.016  IEEE         [T3000]C3[10]
  2.017  MATH         @CalStatus = 3
  2.018  CALL         Sub Krohn-Hite 66x0() Check Cal Status IEEE
  2.019  IEEE         [D2000]
  2.020  DISP         Adjust the UUT "360" potentiometer until the UUT display
  2.020  DISP         indicates 360.00°.

  2.021  HEAD         AUTO CALIBRATION
  2.022  HEAD         -2 Performing Auto Calibration...
  2.023  IEEE         C4[10]
  2.024  MATH         @CalStatus = 0
  2.025  CALL         Sub Krohn-Hite 66x0() Check Cal Status IEEE

  2.026  HEAD         -2
  2.027  END

  2.028  EVAL   Increment Test Number

# ====== Sub Krohn-Hite 66x0() Check Input Status IEEE =====================

  3.001  LABEL        CHECK_STATUS

  3.002  IEEE         Q2[10][I$]

  3.003  IF           ZCMPI(SUB(MEM2, 2, 1), "1")
  3.004  MATH         SigInpWave = "Sine"
  3.005  ELSE
  3.006  MATH         SigInpWave = "Square"
  3.007  ENDIF

# If UUT Signal Input set for Sine Wave, set to Square Wave.
  3.008  IF           ZCMPI(SigInpWave, "Square")
  3.009  IEEE         [T3000]S1[10]
  3.010  ENDIF

  3.011  IF           SUB(MEM2, 3, 1)
  3.012  HEAD         -2 UUT SIGNAL INPUT ERROR

  3.013  IF           ZCMPI(SUB(MEM2, 3, 1), "1")
  3.014  MATH         SigInpErr = "Underrange"
  3.015  ELSE
  3.016  MATH         SigInpErr = "Overload"
  3.017  ENDIF

  3.018  DISP         The UUT SIGNAL INPUT reports an [V SigInpErr] condition.
  3.018  DISP
  3.018  DISP         Verify connections, then press "Advance" to proceed.
  3.019  HEAD         -2
  3.020  ENDIF

  3.021  IF           ZCMPI(SUB(MEM2, 4, 1), "1")
  3.022  MATH         RefInpWave = "Sine"
  3.023  ELSE
  3.024  MATH         RefInpWave = "Square"
  3.025  ENDIF

# If UUT Reference Input set for Sine Wave, set to Square Wave.
  3.026  IF           ZCMPI(RefInpWave, "Square")
  3.027  IEEE         [T3000]R1[10]
  3.028  ENDIF

  3.029  IF           SUB(MEM2, 5, 1)
  3.030  HEAD         -2 UUT REFERENCE INPUT ERROR

  3.031  IF           ZCMPI(SUB(MEM2, 5, 1), "1")
  3.032  MATH         RefInpErr = "Underrange"
  3.033  ELSE
  3.034  MATH         RefInpErr = "Overload"
  3.035  ENDIF

  3.036  DISP         The UUT REFERENCE INPUT reports an [V RefInpErr]
  3.036  DISP         condition.
  3.036  DISP
  3.036  DISP         Verify connections, then press "Advance" to proceed.
  3.037  HEAD         -2
  3.038  ENDIF

  3.039  MATH         ModeRange = SUB(MEM2, 5, 1)

  3.040  IF           ZCMPI(SUB(MEM2, 6, 1), "1")
  3.041  MATH         Mode = "Manual"; Range = "0-360°"
  3.042  ELSEIF       ZCMPI(SUB(MEM2, 6, 1), "2")
  3.043  MATH         Mode = "Manual"; Range = "±180°"
  3.044  ELSEIF       ZCMPI(SUB(MEM2, 6, 1), "3")
  3.045  MATH         Mode = "Auto"; Range = "0-360°"
  3.046  ELSEIF       ZCMPI(SUB(MEM2, 6, 1), "4")
  3.047  MATH         Mode = "Auto"; Range = "±180°"
  3.048  ENDIF

  3.049  IF           ZCMPI(SUB(MEM2, 7, 1), "0")
  3.050  MATH         AbsRel = "Absolute"
  3.051  ELSE
  3.052  MATH         AbsRel = "Relative"
  3.053  ENDIF

# If Relative mode selected, set UUT to Absolute mode.
  3.054  IF           ZCMPI(AbsRel, "Relative")
  3.055  IEEE         [T3000]P0[10]
  3.056  ENDIF

  3.057  END

  3.058  EVAL   Increment Test Number

# ====== Sub Krohn-Hite 66x0() Check Cal Status IEEE =======================

  4.001  LABEL        CHECK_CAL_STATUS

  4.002  IEEE         Q2[10][I$]

  4.003  IF           ZCMPI(SUB(MEM2, 8, 1), "0")
  4.004  MATH         CalStatus = "Operate"
  4.005  ELSEIF       ZCMPI(SUB(MEM2, 8, 1), "1")
  4.006  MATH         CalStatus = "0 deg"
  4.007  ELSEIF       ZCMPI(SUB(MEM2, 8, 1), "2")
  4.008  MATH         CalStatus = "180 deg"
  4.009  ELSEIF       ZCMPI(SUB(MEM2, 8, 1), "3")
  4.010  MATH         CalStatus = "360 deg"
  4.011  ENDIF

  4.012  IF           NOT(ZCMPI(SUB(MEM2, 8, 1), @CalStatus))
  4.013  HEAD         -2 INCORRECT CAL MODE SELECTED
  4.014  DISP         The Cal Mode desired does not match that selected.
  4.014  DISP
  4.014  DISP         Select "Advance" to abort the procedure.
  4.015  HEAD         -2
  4.016  ENDIF

  4.017  END
